Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.trans
Class EvolpTransformer.TransformationHelper

    java.lang.Object
      lp.trans.EvolpTransformer.TransformationHelper

Enclosing class:
  EvolpTransformer

    private class EvolpTransformer.TransformationHelper

extends Object

Field Summary
`private LpBuffer` | `encoder`

Constructor Summary
`EvolpTransformer.TransformationHelper()`

Method Summary
`private LpLiteral` | `makeAssertionLiteral(LpRule rule, int level)`
`private LpRule` | `makeDefaultAssumption(LpAtom atom, int group)`
`private LpRule` | `makeIntroRejection(LpRule rule, int group, int fromLevel, int toLevel, boolean assertion)`
`private LpRule` | `makePropagationRejection(LpLiteral lit, int group, int fromLevel, int toLevel)`
`private LpAtom` | `makeRejectionAtom(LpLiteral lit, int group, int level)`
`private LpRule` | `makeTotalityConstraint(LpAtom atom, int group)`
`private List<LpTerm>` | `transform(List<LpTerm> args)`
`private LpLiteral` | `transform(LpLiteral lit, int group, boolean positive)`
`LpRule` | `transform(LpRule rule, int group, boolean assertion, int level)`
`private LpTerm` | `transform(LpTerm term)`
`private LpLiteral` | `transformPlain(LpLiteral lit, int group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### encoder

    private final LpBuffer encoder

Constructor Detail

### EvolpTransformer.TransformationHelper

    public EvolpTransformer.TransformationHelper()

Method Detail

### transform

    public LpRule transform(LpRule rule,
                            int group,
                            boolean assertion,
                            int level)

### transform

    private LpLiteral transform(LpLiteral lit,
                                int group,
                                boolean positive)

### transformPlain

    private LpLiteral transformPlain(LpLiteral lit,
                                     int group)

### transform

    private List<LpTerm> transform(List<LpTerm> args)

### transform

    private LpTerm transform(LpTerm term)

### makeAssertionLiteral

    private LpLiteral makeAssertionLiteral(LpRule rule,
                                           int level)

### makeRejectionAtom

    private LpAtom makeRejectionAtom(LpLiteral lit,
                                     int group,
                                     int level)

### makeIntroRejection

    private LpRule makeIntroRejection(LpRule rule,
                                      int group,
                                      int fromLevel,
                                      int toLevel,
                                      boolean assertion)

### makePropagationRejection

    private LpRule makePropagationRejection(LpLiteral lit,
                                            int group,
                                            int fromLevel,
                                            int toLevel)

### makeDefaultAssumption

    private LpRule makeDefaultAssumption(LpAtom atom,
                                         int group)

### makeTotalityConstraint

    private LpRule makeTotalityConstraint(LpAtom atom,
                                          int group)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD